<?php
/**
 * The Bulk Import template file
 * 
 * @link       https://1.envato.market/mgXE4y
 * @since      2.1
 *
 * @package    WordPress
 * @subpackage StreamTube
 * @author     phpface <nttoanbrvt@gmail.com>
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if( ! class_exists( 'StreamTube_Core_Bunny_Item_List' ) ){
    require_once dirname( dirname( __FILE__ ) ). '/class-streamtube-core-bunnycdn-list-table.php';
}

$videolist = new StreamTube_Core_Bunny_Item_List();

$videolist->prepare_items();

?>

<form id="import-bunny-all-videos">
    <input type="hidden" name="page" value="<?php echo esc_attr( $_REQUEST['page'] ); ?>" />
    <input type="hidden" name="paged" value="1" />
    <input type="hidden" name="per_page" value="10" />
    <input type="hidden" name="action" value="import_all_bunny_videos">
    <input type="hidden" name="guid" value="">
    <input type="hidden" name="confirm" value="on">
    <input type="hidden" name="_wpnonce" value="<?php echo esc_attr( wp_create_nonce( 'import_all_bunny_videos' ) )?>">
    <?php printf(
        '<input type="hidden" name="tab" value="%s" />',
        isset( $_REQUEST['tab'] ) ? esc_attr( $_REQUEST['tab'] ) : 'bulk-import'
    )?>    

    <p class="form-submit">
        <button type="submit" class="button button-primary">
            <?php esc_html_e( 'Mass Import All Videos', 'streamtube-core' );?>
        </button>        
    </p>

    <div class="progress-wrap d-none" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">
        <div class="progress-bar" style="width: 0%; padding: 0 .5rem"></div>
    </div>

    <ol id="bunny-imported-list" class="bunny-imported-list d-none">

    </ol>

</form>

<form method="get">
    <input type="hidden" name="page" value="<?php echo esc_attr( $_REQUEST['page'] ); ?>" />
    
    <?php printf(
        '<input type="hidden" name="tab" value="%s" />',
        isset( $_REQUEST['tab'] ) ? esc_attr( $_REQUEST['tab'] ) : 'bulk-import'
    )?>

    <?php
        $videolist->search_box('Search', 'search');
        $videolist->display();
    ?>
</form>
