<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://woo.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $related_products ) : 

	$columns = wc_get_loop_prop( 'columns' );

	if( streamtube_woo_get_single_template() == 'default' && ! streamtube_woo_has_sidebar() ){
		wc_set_loop_prop( 'columns', 4 );	
	}
	else{
		wc_set_loop_prop( 'columns', 2 );
	}

	/**
	 *
	 * Fires before related products
	 * 
	 */
	do_action( 'streamtube/core/woocommerce/related_product/before' );

	?>

	<div class="related products widget streamtube-widget">

		<?php

		$heading = apply_filters( 'woocommerce_product_related_products_heading', __( 'Related products', 'woocommerce' ) );

		if ( $heading ) :
			?>
			<div class="widget-title-wrap">
				<h2 class="widget-title d-flex align-items-center"><?php echo esc_html( $heading ); ?></h2>
			</div>
		<?php endif; ?>
		
		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

					<?php
					$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object ); // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited, Squiz.PHP.DisallowMultipleAssignments.Found

					wc_get_template_part( 'content', 'product' );
					?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>
	<?php

	// Reset columns
	wc_set_loop_prop( 'columns', $columns );

	/**
	 *
	 * Fires before related products
	 * 
	 */
	do_action( 'streamtube/core/woocommerce/related_product/after' );	

endif;

wp_reset_postdata();
